Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.metadata
Class PortalMetaData

    java.lang.Object
      org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
          org.jboss.portal.core.model.portal.metadata.PortalMetaData

    public class PortalMetaData

extends PortalObjectMetaData

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PortalMetaData()`

Method Summary
`static PortalMetaData` | `buildPortalMetaData(ContentProviderRegistry contentProviderRegistry, org.w3c.dom.Element portalElt)` Parse the following XML elements : portal-name, supported-modes, supported-window-states.
`static void` | `buildSupportedModes(PortalMetaData portalMD, org.w3c.dom.Element supportedModesElt)`
`static void` | `buildSupportedWindowStates(PortalMetaData portalMD, org.w3c.dom.Element supportedWindowStatesElt)`
`ModesMetaData` | `getModes()`
`WindowStatesMetaData` | `getWindowStates()`
`protected PortalObject` | `newInstance(BuildContext buildContext, PortalObject parent)`
`void` | `setModes(ModesMetaData modes)`
`void` | `setWindowStates(WindowStatesMetaData windowStates)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
`buildDisplayNameMetaData, buildListenerMetaData, buildMetaData, buildPropertiesMetaData, buildResourceBundleMetaData, buildSupportedLocalesMetaData, create, getChildren, getDisplayName, getListener, getName, getProperties, getResourceBundle, getSecurityConstraints, getSupportedLocales, setChildren, setDisplayName, setListener, setName, setProperties, setResourceBundle, setSecurityConstraints, setSupportedLocales`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalMetaData

    public PortalMetaData()

Method Detail

### getModes

    public ModesMetaData getModes()

### setModes

    public void setModes(ModesMetaData modes)

### getWindowStates

    public WindowStatesMetaData getWindowStates()

### setWindowStates

    public void setWindowStates(WindowStatesMetaData windowStates)

### newInstance

    protected PortalObject newInstance(BuildContext buildContext,
                                       PortalObject parent)
                                throws java.lang.Exception

  Specified by:
    `newInstance` in class `PortalObjectMetaData`
  Throws:
    `java.lang.Exception`

### buildPortalMetaData

    public static PortalMetaData buildPortalMetaData(ContentProviderRegistry contentProviderRegistry,
                                                     org.w3c.dom.Element portalElt)
                                              throws java.lang.Exception

  Parse the following XML elements : portal-name, supported-modes, supported-window-states.

  Throws:
    `java.lang.Exception`

### buildSupportedModes

    public static void buildSupportedModes(PortalMetaData portalMD,
                                           org.w3c.dom.Element supportedModesElt)

### buildSupportedWindowStates

    public static void buildSupportedWindowStates(PortalMetaData portalMD,
                                                  org.w3c.dom.Element supportedWindowStatesElt)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PortalObjectMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD